/* Create WPS program object for Auto Adjust Photo */

CALL RxFuncAdd 'SysCreateObject','RexxUtil','SysCreateObject'
CALL RxFuncAdd 'SysFileTree','RexxUtil','SysFileTree'
CALL RxFuncAdd 'SysSetObjectData','RexxUtil','SysSetObjectData'

SAY

exe='aaphoto.exe'
IF Stream(exe,'C','QUERY EXISTS')='' THEN DO
   SAY 'Error: cannot find file' exe 'in directory' Directory()
   EXIT
END

dll=''
CALL SysFileTree '*.DLL','dll.','FO'
IF dll.0>0 THEN dll='STARTUPDIR='||Directory()||';'

IF Right(Directory(),1)<>'\' THEN exe='\'||exe
exe=Directory()||exe

IF SysCreateObject('WPProgram','Auto Adjust Photo','<WP_DESKTOP>','EXENAME='||exe||';PARAMETERS="%*";'||dll||'MINIMIZED=YES;ASSOCFILTER=*.BMP,*.JP2,*.JPC,*.JPG,*.PGM,*.PNG,*.PPM,*.RAS;OBJECTID=<AutoAdjustPhoto>')=0 THEN DO 
   SAY 'Error: cannot create WPS program object for' exe
   EXIT
END

SAY 'WPS program object Auto Adjust Photo created.'

IF SysSetObjectData('<AutoAdjustPhoto>','ASSOCTYPE=Bitmap') THEN SAY 'Auto Adjust Photo associated with type Bitmap.'
IF SysSetObjectData('<AutoAdjustPhoto>','ASSOCTYPE=JPG') THEN SAY 'Auto Adjust Photo associated with type JPG.'
IF SysSetObjectData('<AutoAdjustPhoto>','ASSOCTYPE=PNG Image') THEN SAY 'Auto Adjust Photo associated with type PNG Image.'
SAY

EXIT
